Bug 241480 - www/obhttpd: update to 6.6.20191023
Summary: www/obhttpd: update to 6.6.20191023
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Koichiro Iwao
URL:
Keywords: buildisok
Depends on:
Blocks:
 
Reported: 2019-10-24 22:27 UTC by Nikola Kolev
Modified: 2019-11-05 01:14 UTC (History)
2 users (show)

See Also:


Attachments
obhttpd 6.6.20191023 patch (3.34 KB, text/plain)
2019-10-24 22:27 UTC, Nikola Kolev
koue: maintainer-approval+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Nikola Kolev 2019-10-24 22:27:58 UTC
Created attachment 208588 [details]
obhttpd 6.6.20191023 patch

Update www/obhttpd to 6.6.20191023
Fix SSL compilation

Poudriere logs look OK.

Thanks to Leo Vandewoestijne for reporting.
Comment 1 Automation User 2019-10-24 22:43:49 UTC
Build info is available at https://gitlab.com/swills/freebsd-ports/pipelines/91387312
Comment 2 Koichiro Iwao freebsd_committer 2019-11-02 12:00:35 UTC
"Fix SSL compilation" fixed what?
Comment 3 Nikola Kolev 2019-11-03 10:18:58 UTC
(In reply to Koichiro Iwao from comment #2)
Drop SSL dependency, build LibreSSL as internal library. No more conflicts OpenSSL - LibreSSL. It's in the patch.
Comment 4 Koichiro Iwao freebsd_committer 2019-11-05 00:58:53 UTC
(In reply to Nikola Kolev from comment #3)
Understood. Thanks for the clarification.
Comment 5 commit-hook freebsd_committer 2019-11-05 01:13:58 UTC
A commit references this bug:

Author: meta
Date: Tue Nov  5 01:13:56 UTC 2019
New revision: 516764
URL: https://svnweb.freebsd.org/changeset/ports/516764

Log:
  www/obhttpd: Update to 6.6.20191023

  Also, depend on standalone LibreSSL rather than security/libressl port.
  Now this port can be installed even if LibreSSL is not selected in DEFAULT_VERSIONS.

  PR:		241480
  Submitted by:	Nikola Kolev <koue@chaosophia.net>
  Reported by:	 Leo Vandewoestijne

Changes:
  head/www/obhttpd/Makefile
  head/www/obhttpd/distinfo
Comment 6 Koichiro Iwao freebsd_committer 2019-11-05 01:14:39 UTC
Committed, thanks!